import React from 'react';
import { Row, Col } from 'antd';
import Page from '@/components/Page';
import RoleList from './list';
import MenuList from './menus';

export default (props) => {

  const [current, setCurrent] = React.useState();

  return (
    <Page>
      <Row gutter={24}>
        <Col span={8}>
          <RoleList onChange={setCurrent} current={current} />
        </Col>
        <Col span={16}>
          <MenuList role={current} />
        </Col>
      </Row>
    </Page>
  )
}
