import request from '@/utils/request';

/*
 * 分页查询
 */
export const getTdLocQuAnswer = (params) => request('/api/tdLocQuAnswer', { params });

/*
 * 新增数据
 */
export const postTdLocQuAnswer = (data) => request('/api/tdLocQuAnswer', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
export const getTdLocQuAnswerById = (id) => request(`/api/tdLocQuAnswer/${id}`);

/*
 * 更新数据
 */
export const putTdLocQuAnswer = (id, data) => request(`/api/tdLocQuAnswer/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTdLocQuAnswer = (id) => request(`/api/tdLocQuAnswer/${id}`, { method: 'delete' });
